Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Currently a datatable need quite some handcrafting for each object. Some refactoring suggestions:

parametrized templates

at least some parts are needed for every datatable, e.g. the add structure with two tables

optimal: one template for all sequence form elements, all individual code should be outsourced

maybe data could be provided as json and no html is needed at all

javascript

uses global variables, should be put into datatables as attribute

some functions are the same for both tables, should be reused

should be separated from the html code (e.g. as widget dependency)

Associated revisions

Revision 9b0d097c - 10/04/2018 08:38 AM - Alexander Blum

fixes #583, fixes #585, fixes #586, fixes #597: refactors datatables

Revision 9b0d097c - 10/04/2018 08:38 AM - Alexander Blum

fixes #583, fixes #585, fixes #586, fixes #597: refactors datatables

Revision 33161c07 - 10/04/2018 08:41 AM - Alexander Blum

fixes #583, fixes #585, fixes #586, fixes #597: refactors datatables

Revision 33161c07 - 10/04/2018 08:41 AM - Alexander Blum

fixes #583, fixes #585, fixes #586, fixes #597: refactors datatables

Revision 33a82343 - 10/04/2018 09:12 PM - Alexander Blum

ref #586: better gui handling

Revision 33a82343 - 10/04/2018 09:12 PM - Alexander Blum

ref #586: better gui handling

History

#1 - 10/11/2018 07:39 PM - Alexander Blum

- Status changed from Neu to Erledigt

- % Done changed from 0 to 100

Applied in changeset commit:collecting_society_portal|9b0d097c6ab5279d0f2be1120580e33b4ace06eb.

#2 - 10/08/2019 03:51 PM - Alexander Blum

- Project changed from repertoire to collecting_society
